/* Memory dump */
int MemDump_Init(WINDOW *window);
int MemDump_Update(WINDOW *window, GADGET *d);
void MemDump_Shutdown(WINDOW *window);

extern GADGET gui_memdump_dialog[];
extern char memdump_address[];


/* Palette viewer */
int PalView_Init(WINDOW *window);
void PalView_Update(void);
void PalView_Shutdown(WINDOW *window);

extern GADGET gui_palview_dialog[];


/* Performance monitor */

#define NUM_CLOCKS   3
#define CLOCK_CPU    0
#define CLOCK_RENDER 1
#define CLOCK_AUDIO  2

int PerfMon_Init(WINDOW *window);
void PerfMon_Shutdown(WINDOW *window);
int gui_perfmon_proc(MSG *msg, WINDOW *window, GADGET *d);

extern volatile int percent_count, percent_counter, fps_count, frame_count;
extern GADGET gui_perfmon_dialog[];
